SCCSTORCS(8)

NAME
sccstorcs - build RCS file from SCCS file

SYNOPSIS
sccstorcs [-t] [-v] s.file ...

DESCRIPTION
Sccstorcs builds an RCS file from each SCCS file argument. The deltas and comments for each delta are preserved and installed into the new RCS file in order. Also preserved are the user access list and descriptive text, if any, from the SCCS file.

The following flags are meaningful:

-t  Trace only. Prints detailed information about the SCCS file and lists the commands that would be executed to produce the RCS file. No commands are actually executed and no RCS file is made.

-v  Verbose. Prints each command that is run while it is building the RCS file.

FILES
For each s.somefile, Sccstorcs writes the files somefile and somefile,v which should not already exist. Sccstorcs will abort, rather than overwrite those files if they do exist.

SEE ALSO
ci (1), co (1), rcs (1).
Walter F. Tichy, "Design, Implementation, and Evaluation of a Revision Control System," in Proceedings of the 6th International Conference on Software Engineering, IEEE, Tokyo, Sept. 1982.

DIAGNOSTICS
All diagnostics are written to stderr. Non-zero exit status on error.

BUGS
Sccstorcs does not preserve all SCCS options specified in the SCCS file. Most notably, it does not preserve removed deltas, MR numbers, and cutoff points.

AUTHOR
Ken Greer Copyright © 1983 by Kenneth L. Greer